The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Установка ATI Catalyst 8.5 в Ubuntu 8.04
1. Скачать ati-driver-installer-8-5-x86.x86_64.run

2. В консоли выполнить для синхронизации списка пакетов, доступных в репозиториях:

   sudo apt-get update

Затем, установить пакеты, необходимые для сборки модуля ядра из исходных
текстов и создания deb пакета:

   sudo apt-get install build-essential fakeroot dh-make debhelper debconf libstdc++5 dkms linux-headers-$(uname -r)

3. В консоли запускаем инсталлятор драйвера в режиме создания пакетов:

   sudo sh ati-driver-installer-8-5-x86.x86_64.run --buildpkg Ubuntu/8.04


4. Теперь нужно занести в черный список драйвер fglrx из репозитория Ubuntu, выполняем

   sudo gedit /etc/default/linux-restricted-modules-common

и в строке "DISABLED_MODULES" добавляем "fglrx"
получаем строку:

   DISABLED_MODULES="fglrx"

сохраняем файл

5. далее в консоли устанавливаем подготовленные пакеты с драйвером:

   sudo dpkg -i xorg-driver-fglrx_8.493*.deb fglrx-kernel-source_8.493*.deb fglrx-amdcccle_8.493*.deb


6. Перезагружаем X сервер. 

7. проверяем:

   $ fglrxinfo
   display: :0.0 screen: 0
   OpenGL vendor string: ATI Technologies Inc.
   OpenGL renderer string: Radeon X1900 Series
   OpenGL version string: 2.1.7537 Release

PS: все вышесказанное проверялось на i386 конфигурации с видеокартой X1900, 
для amd64 возможны небольшие отличая в установке.

Оригинал: http://pronix.isgreat.org/news.php?item.86.5
 
28.05.2008 , Автор: Pronix , Источник: http://pronix.isgreat.org/news.php?...
Ключи: ati, driver, ubuntu, linux, video
Раздел:    Корень / Пользователю / X Window

Обсуждение [ RSS ]
  • 1.1, mr.Ded (?), 08:53, 30/05/2008 [ответить]  
  • +/
    все выполнил по инструкции.

    ded@amilo-laptop:~$ fglrxinfo
    display: :0.0  screen: 0
    OpenGL vendor string: DRI R300 Project
    OpenGL renderer string: Mesa DRI R300 20060815 x86/MMX+/3DNow!+/SSE2 NO-TCL
    OpenGL version string: 1.3 Mesa 7.0.3-rc2

    Segmentation fault

     
  • 1.2, mr.Ded (?), 09:07, 30/05/2008 [ответить]  
  • +/
    сорри, поставил галочку в диспечере драйверов теперь:
    ded@amilo-laptop:~$ fglrxinfo
    display: :0.0  screen: 0
    OpenGL vendor string: ATI Technologies Inc.
    OpenGL renderer string: ATI Radeon Xpress Series
    OpenGL version string: 2.1.7537 Release

    спасиб. ща буду тестить))

     
  • 1.3, Azgilliot (?), 00:23, 31/05/2008 [ответить]  
  • +/
    в консоле ввёл:
    sudo dpkg -i xorg-driver-fglrx_8.493*.deb fglrx-kernel-source_8.493*.deb fglrx-amdcccle_8.493*.deb
    после чего в самом конце процесса появилось:
    Настраивается пакет fglrx-kernel-source (2:8.493.1-0ubuntu1) ...
    Adding Module to DKMS build system
    Doing initial module build
    Installing initial module
    Done.

    При обработке следующих пакетов произошли ошибки:
    fglrx-amdcccle_8.493.1-0ubuntu1_i386.deb

     
  • 1.4, fakeroot (?), 11:31, 05/06/2008 [ответить]  
  • +/
    to Azgilliot
    sudo apt-get install build-essential fakeroot dh-make debhelper debconf libstdc++5 dkms ?!
     
  • 1.5, vans (??), 22:59, 06/06/2008 [ответить]  
  • +/
    после ввода
    sudo dpkg -i xorg-driver-fglrx_8.493*.deb fglrx-kernel-source_8.493*.deb fglrx-amdcccle_8.493*.deb


    Error! DKMS tree already contains: fglrx-8.493.1
    You cannot add the same module/version combo more than once.
    Doing initial module build

    Error! This module/version has already been built on: 2.6.24-18-generic
    Directory: /var/lib/dkms/fglrx/8.493.1/2.6.24-18-generic/i686
    already exists.  Use the dkms remove function before trying to build again.
    Installing initial module

    Error! This module/version combo is already installed
    for kernel: 2.6.24-18-generic (i686)
    Done.


     
  • 1.6, soldatof (?), 21:29, 11/06/2008 [ответить]  
  • +/
    После всех действий при просмотре инфы:
    sol@sol-desktop:~$ fglrxinfo
    fglrxinfo: error while loading shared libraries: libGL.so.1: wrong ELF class: ELFCLASS32
    ???
     
  • 1.7, leonder (?), 11:53, 25/06/2008 [ответить]  
  • +/
    soldatof, очевидно, что нужно поставить пакет libGL.so.1, чем я через синаптик счас и занимаюсь...
     
  • 1.8, Aizen (?), 14:57, 17/09/2008 [ответить]  
  • +/
    $ fglrxinfo
    display: :0.0  screen: 0
    OpenGL vendor string: Mesa project: www.mesa3d.org
    OpenGL renderer string: Mesa GLX Indirect
    OpenGL version string: 1.4 (2.1 Mesa 7.0.3-rc2)

    В "драйверах устройств" галочка снята ;/

    Видеокарта ati radeon x1950gt

     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:




    Спонсоры:
    Слёрм
    Inferno Solutions
    Hosting by Ihor
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2019 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру